package com.zhongshu.card.client.model.scene;

import com.zhongshu.card.client.model.base.SuperModel;
import com.zhongshu.card.client.type.DataState;
import com.zhongshu.card.client.type.scene.SceneType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author TRX
 * @date 2024/11/22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProjectSceneInfoModel extends SuperModel {

    @Schema(description = "平台场景信息")
    private SceneInfoModel sceneInfo;

    @Schema(description = "关联的数据ID")
    private String sceneInfoId;

    @Schema(description = "场景名称")
    private String name;

    @Schema(description = "类型")
    private SceneType sceneType;

    private String sceneTypeStr;

    public String getSceneTypeStr() {
        if (sceneType != null) {
            return sceneType.getRemark();
        }
        return "";
    }

    @Schema(description = "外面的状态")
    private DataState sceneState;

    private String sceneStateStr;

    public String getSceneStateStr() {
        if (sceneState != null) {
            return sceneState.getRemark();
        }
        return "";
    }

    @Schema(description = "状态")
    private DataState state;

    private String stateStr;

    public String getStateStr() {
        if (state != null) {
            return state.getRemark();
        }
        return "";
    }

}
